/*
-- Copyright INMOS Limited 1991
--
-- **************************************************************************
--
-- Group:	Iq software
--
-- Product:	IMS-F006 Ethernet TRAM support software
--
-- File:	b431test.h
--
-- Version:	1.0
--
-- **************************************************************************
--
-- B431 device driver test library. This file defines result codes for the
-- test library (b431test).
--
-- **************************************************************************
--
-- History:	
--
-- (25-SEP-91) Bob Wipfel, Created file.
-- (27-NOV-91) Bob Wipfel, Altered prototypes, char args now unsigned.
--
-- **************************************************************************
*/


#define TEST_PASSED		0
#define TEST_INIT_FAILED	1
#define TEST_MEMORY_FAULT	2
#define TEST_HARDWARE_ERROR	3
#define TEST_LOOPBACK_FAILED	4

/* Function prototypes */

extern int B431_Internal_Loopback( Channel *, Channel *,
	const unsigned char *, int * );

extern int B431_External_Loopback( Channel *, Channel *,
	const unsigned char *, int * );
